#import "SWGScreenshot.h"

@implementation SWGScreenshot

- (instancetype)init {
  self = [super init];
  if (self) {
    // initialize property's default value, if any
    
  }
  return self;
}


/**
 * Maps json key to property name.
 * This method is used by `JSONModel`.
 */
+ (JSONKeyMapper *)keyMapper {
  return [[JSONKeyMapper alloc] initWithModelToJSONDictionary:@{ @"_id": @"id", @"status": @"status", @"error": @"error", @"priority": @"priority", @"url": @"url", @"size": @"size", @"width": @"width", @"height": @"height", @"finalUrl": @"final_url", @"scale": @"scale", @"instanceId": @"instance_id", @"cost": @"cost", @"referer": @"referer", @"postData": @"post_data", @"cookie": @"cookie", @"delay": @"delay", @"flashDelay": @"flash_delay", @"details": @"details", @"script": @"script", @"sharedUrl": @"shared_url" }];
}

/**
 * Indicates whether the property with the given name is optional.
 * If `propertyName` is optional, then return `YES`, otherwise return `NO`.
 * This method is used by `JSONModel`.
 */
+ (BOOL)propertyIsOptional:(NSString *)propertyName {

  NSArray *optionalProperties = @[@"error", @"priority", @"size", @"width", @"height", @"finalUrl", @"scale", @"cost", @"referer", @"postData", @"cookie", @"delay", @"flashDelay", @"details", @"script", @"sharedUrl"];
  return [optionalProperties containsObject:propertyName];
}

@end
